TagLib::MP4::Chapter Class Reference

`#include <mp4chapter.h>`

## Public Member Functions

| Chapter (const String &title, long long startTime)
| Chapter (const Chapter &other)
| Chapter (Chapter &&other) noexcept
| ~Chapter ()
Chapter & | operator= (const Chapter &other)
Chapter & | operator= (Chapter &&other) noexcept
bool | operator== (const Chapter &other) const
bool | operator!= (const Chapter &other) const
void | swap (Chapter &other) noexcept
const String & | title () const
long long | startTime () const

## Detailed Description

A single Nero-style chapter marker.

## Constructor & Destructor Documentation

## Chapter() [1/3]

TagLib::MP4::Chapter::Chapter | ( | const String & | title,
|  | long long | startTime )

Construct a chapter.

References startTime(), and title().

Referenced by Chapter(), Chapter(), operator!=(), operator=(), operator=(), operator==(), and swap().

## Chapter() [2/3]

TagLib::MP4::Chapter::Chapter | ( | const Chapter & | other | ) |

Construct a chapter as a copy of other.

References Chapter().

## Chapter() [3/3]

TagLib::MP4::Chapter::Chapter | ( | Chapter && | other | ) |

noexcept

Construct a chapter moving from other.

References Chapter().

## ~Chapter()

TagLib::MP4::Chapter::~Chapter | ( |  | ) |

Destroys this chapter.

## Member Function Documentation

## operator!=()

bool TagLib::MP4::Chapter::operator!= | ( | const Chapter & | other | ) | const

Returns `true` if the chapter and other differ in data.

References Chapter().

## operator=() [1/2]

Chapter & TagLib::MP4::Chapter::operator= | ( | Chapter && | other | ) |

noexcept

Moves the contents of other into this object.

References Chapter().

## operator=() [2/2]

Chapter & TagLib::MP4::Chapter::operator= | ( | const Chapter & | other | ) |

Copies the contents of other into this object.

References Chapter().

## operator==()

bool TagLib::MP4::Chapter::operator== | ( | const Chapter & | other | ) | const

Returns `true` if the chapter and other contain the same data.

References Chapter().

## startTime()

long long TagLib::MP4::Chapter::startTime | ( |  | ) | const

Returns the start time in milliseconds.

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

Referenced by Chapter().

## swap()

void TagLib::MP4::Chapter::swap | ( | Chapter & | other | ) |

noexcept

Exchanges the content of the object with the content of other.

References Chapter().

## title()

const String & TagLib::MP4::Chapter::title | ( |  | ) | const

Returns the title representing the chapter.

Referenced by Chapter().

The documentation for this class was generated from the following file:

- mp4chapter.h